public static IDisposable DisplayUndoable( this ICurve curve , IModelDoc2 doc , Color color , double thickness , double chordTol = 1e-6 , double lengthTol = 0 , int layer = 0) { var wire = new OpenWire(curve, thickness, color, chordTol, lengthTol); return(wire.DisplayUndoable(doc, layer)); }
public static IDisposable DisplayUndoable ( this Edge3 line , IModelDoc2 doc , Color color , float thickness = 1 , int layer = 0 ) { var wire = new OpenWire(new [] { line.A, line.B }.ToList(), thickness, color); return(wire.DisplayUndoable(doc, layer)); }
public static IDisposable DisplayUndoable ( this Edge3 line , IModelDoc2 doc , Color color , double thickness = 1 , int layer = 0 ) { var wire = new OpenWire(new [] {line.A, line.B}.ToList(),thickness, color); return wire.DisplayUndoable(doc, layer); }
public static IDisposable DisplayUndoable( this ICurve curve , IModelDoc2 doc , Color color , double thickness , double chordTol=1e-6 , double lengthTol=0 , int layer = 0) { var wire = new OpenWire(curve,thickness, color, chordTol, lengthTol); return wire.DisplayUndoable(doc, layer); }